AWS IoT Device SDK C++ v2: Aws::Crt::Auth::CredentialsProviderProfileConfig Struct Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Auth::CredentialsProviderProfileConfig Struct Reference

`#include <Credentials.h>`

## Public Member Functions
| CredentialsProviderProfileConfig ()

## Public Attributes
ByteCursor | ProfileNameOverride
ByteCursor | ConfigFileNameOverride
ByteCursor | CredentialsFileNameOverride
Io::ClientBootstrap * | Bootstrap
Io::TlsContext * | TlsContext

## Detailed Description

Configuration options for the profile credentials provider

## Constructor & Destructor Documentation

## ◆ CredentialsProviderProfileConfig()

Aws::Crt::Auth::CredentialsProviderProfileConfig::CredentialsProviderProfileConfig | ( |  | ) |
| inline

## Member Data Documentation

## ◆ Bootstrap

Io::ClientBootstrap* Aws::Crt::Auth::CredentialsProviderProfileConfig::Bootstrap

Connection bootstrap to use for any network connections made while sourcing credentials. (for example, a profile that uses assume-role will need to query STS).

## ◆ ConfigFileNameOverride

ByteCursor Aws::Crt::Auth::CredentialsProviderProfileConfig::ConfigFileNameOverride

Override file path (instead of '~/.aws/config' for the aws config file to use during credential sourcing

## ◆ CredentialsFileNameOverride

ByteCursor Aws::Crt::Auth::CredentialsProviderProfileConfig::CredentialsFileNameOverride

Override file path (instead of '~/.aws/credentials' for the aws credentials file to use during credential sourcing

## ◆ ProfileNameOverride

ByteCursor Aws::Crt::Auth::CredentialsProviderProfileConfig::ProfileNameOverride

Override profile name to use (instead of default) when the provider sources credentials

## ◆ TlsContext

Io::TlsContext* Aws::Crt::Auth::CredentialsProviderProfileConfig::TlsContext

Client TLS context to use for any secure network connections made while sourcing credentials (for example, a profile that uses assume-role will need to query STS).

If a TLS context is needed, and you did not pass one in, it will be created automatically. However, you are encouraged to pass in a shared one since these are expensive objects. If using BYO_CRYPTO, you must provide the TLS context since it cannot be created automatically.

The documentation for this struct was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/auth/Credentials.h